import os

from utilities import *

"""
Conversions
"""

class ConversionException(Exception): pass

class Conversion:
    formats = {}
    @staticmethod
    def fromFile(file,to):
        try:
            key = os.path.splitext(file)[1]
            if key==to: return Conversion()
            else: return Conversion.formats[(key,to)]()
        except (KeyError):
            raise ConversionException('Unable to determine conversion for file ("' + file + '" to "' + to + '").')
    def convert(self,document):
        return document